#!/bin/sh

WHERE=`dirname $0`
DRIVER=/boot/home/config/add-ons/kernel/drivers/bin/mga.driver
LINKED=/boot/home/config/add-ons/kernel/drivers/dev/graphics/mga.driver
ACCELL=/boot/home/config/add-ons/accelerants/mga.accelerant
SETTIN=/boot/home/config/settings/kernel/drivers/mga.settings
PREFER=/boot/preferences/mga.setup

usage() {
	echo "usage: $0 [-i|-u] # -i for install, -u for uninstall"
	exit 1
}

case $# in
	0) 
		ALERT=1; 
		ANSWER=`alert --warning "About mga driver:" "Exit" "Uninstall" "Install"` ;;
	1) 
		ALERT=0; 
		case $1 in
			-i) ANSWER=Install;;
			-u) ANSWER=Uninstall;;
			*) usage;;
		esac;;
	*) usage;;
esac
case $ANSWER in
	Uninstall)
		rm -f $DRIVER $LINKED $ACCELL $SETTIN
		if [ "$ALERT" == "1" ]; then alert --info "mga driver uninstalled"; fi
		;;
	Install)
		rm -f $DRIVER $LINKED $ACCELL $SETTIN
		cp $WHERE/mga.driver $DRIVER
		ln -s ../../bin/mga.driver $LINKED
		cp $WHERE/mga.accelerant $ACCELL
		cp $WHERE/mga.settings $SETTIN
		if [ "$ALERT" == "1" ]; then alert --info "mga driver installed"; fi
		;;
esac
